Package: org.gradle.api

## [Java] Interface Buildable

- A `Buildable` represents an artifact or set of artifacts which are built by one or more Task instances.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TaskDependency` | `getBuildDependencies()` Returns a dependency which contains the tasks which build this artifact.

- - ### Method Detail

    - #### public TaskDependency getBuildDependencies()

      Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.

      Returns:
        The dependency. Never returns null. Returns an empty dependency when this artifact is not built by any tasks.